Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.codecs
Class HttpResponseParser

    java.lang.Object
      org.apache.http.impl.nio.codecs.AbstractMessageParser
          org.apache.http.impl.nio.codecs.HttpResponseParser

All Implemented Interfaces:
  NHttpMessageParser

Deprecated. (4.1) use `DefaultHttpResponseParser`

    @Deprecated
    public class HttpResponseParser

extends AbstractMessageParser

Default `NHttpMessageParser` implementation for `HttpResponse`s.

The following parameters can be used to customize the behavior of this class:

- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.nio.codecs.AbstractMessageParser
`lineParser`

Constructor Summary
`HttpResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)` Deprecated.

Method Summary
`protected HttpMessage` | `createMessage(CharArrayBuffer buffer)` Deprecated. Creates `HttpMessage` instance based on the content of the input buffer containing the first line of the incoming HTTP message.

Methods inherited from class org.apache.http.impl.nio.codecs.AbstractMessageParser
`fillBuffer, parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseParser

    public HttpResponseParser(SessionInputBuffer buffer,
                              LineParser parser,
                              HttpResponseFactory responseFactory,
                              HttpParams params)

  Deprecated.

Method Detail

### createMessage

    protected HttpMessage createMessage(CharArrayBuffer buffer)
                                 throws HttpException,
                                        ParseException

  Deprecated.
  Description copied from class: `AbstractMessageParser`
  Creates `HttpMessage` instance based on the content of the input buffer containing the first line of the incoming HTTP message.

  Specified by:
    `createMessage` in class `AbstractMessageParser`
  Parameters:
    `buffer` - the line buffer.
  Returns:
    HTTP message.
  Throws:
    `HttpException` - in case of HTTP protocol violation
    `ParseException` - in case of a parse error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.